Uses of Class
org.axonframework.updates.api.UpdateCheckResponse
Packages that use UpdateCheckResponse
-
Uses of UpdateCheckResponse in org.axonframework.updates
Methods in org.axonframework.updates that return types with arguments of type UpdateCheckResponseModifier and TypeMethodDescriptionUpdateCheckerHttpClient.sendRequest(UpdateCheckRequest updateCheckRequest, boolean firstRequest) Sends a usage request to the AxonIQ servers.Methods in org.axonframework.updates with parameters of type UpdateCheckResponseModifier and TypeMethodDescriptionvoidLoggingUpdateCheckerReporter.report(UpdateCheckRequest request, UpdateCheckResponse updateCheckResponse) voidUpdateCheckerReporter.report(UpdateCheckRequest request, UpdateCheckResponse response) Reports the givenresponseof the update checker to the user. -
Uses of UpdateCheckResponse in org.axonframework.updates.api
Methods in org.axonframework.updates.api that return UpdateCheckResponseModifier and TypeMethodDescriptionstatic UpdateCheckResponseUpdateCheckResponse.fromRequest(String body) Parses the response body from the anonymous usage reporter into aUsageResponseobject.